snooze Class Reference

## Static Public Member Functions

static bool | macrosnooze (uint32_t seconds)
static bool | macrosnooze (uint32_t seconds, uint32_t *remainingseconds)
static bool | microsnooze (uint32_t seconds, uint32_t microseconds)
static bool | microsnooze (uint32_t seconds, uint32_t microseconds, uint32_t *secondsremaining, uint32_t *microsecondsremaining)
static bool | nanosnooze (uint32_t seconds, uint32_t nanoseconds)
static bool | nanosnooze (uint32_t seconds, uint32_t nanoseconds, uint32_t *secondsremaining, uint32_t *nanosecondsremaining)

## Detailed Description

The snooze class provides methods for suspending process execution.

## Member Function Documentation

static bool snooze::macrosnooze | ( | uint32_t | seconds | ) |

static

Suspend execution for "seconds" seconds. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal.

static bool snooze::macrosnooze | ( | uint32_t | seconds,
|  | uint32_t * | remainingseconds
| ) |  |

static

Suspend execution for "seconds" seconds. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal. "remainingseconds" is populated with the number of seconds that remained when the method was interrupted.

static bool snooze::microsnooze | ( | uint32_t | seconds,
|  | uint32_t | microseconds
| ) |  |

static

Suspend execution for "seconds" seconds and "microseconds" microseconds. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal.

static bool snooze::microsnooze | ( | uint32_t | seconds,
|  | uint32_t | microseconds,
|  | uint32_t * | secondsremaining,
|  | uint32_t * | microsecondsremaining
| ) |  |

static

Suspend execution for "seconds" seconds and "microseconds" microseconds. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal. "remainingseconds" and "remainingmicroseconds" are populated with the number of seconds and microseconds that remained when the method was interrupted.

static bool snooze::nanosnooze | ( | uint32_t | seconds,
|  | uint32_t | nanoseconds
| ) |  |

static

Suspend execution for "seconds" seconds and "nanoseconds" nanoseconds. Note that some systems do not have true nanosecond clock resolution. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal.

static bool snooze::nanosnooze | ( | uint32_t | seconds,
|  | uint32_t | nanoseconds,
|  | uint32_t * | secondsremaining,
|  | uint32_t * | nanosecondsremaining
| ) |  |

static

Suspend execution for "seconds" seconds and "nanoseconds" nanoseconds. Note that some systems do not have true nanosecond clock resolution. Returns true on success and false on failure. snooze methods most commonly fail if they are interrupted by a signal. "remainingseconds" and "remainingnanoseconds" are populated with the number of seconds and nanoseconds that remained when the method was interrupted.